package yem.wm.cm.ht.op;

import java.util.List;



import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import yem.wm.cm.ht.valdiator.ContractTermsSubmitValidator;

/**
 * 合同条款库(提交校验)
 * @author zhangh
 *
 */
public class ContractTermsSubmitOp extends AbstractOperationServicePlugIn{

	@Override
	public void onPreparePropertys(PreparePropertysEventArgs e) {
		List<String> fieldKeys = e.getFieldKeys();
		fieldKeys.add("yem_clausecontentchina");
		fieldKeys.add("yem_clausecontentenglish");
		fieldKeys.add("yem_foreigntrade");
	}
	
	@Override
	public void onAddValidators(AddValidatorsEventArgs e) {
		e.addValidator(new ContractTermsSubmitValidator());//加入监听器，进行数据的筛选和控制
	}
}
